//+------------------------------------------------------------------+
//|                                                     abs_gold.mq4 |
//|                                      Copyright  2009, dat_iran. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "dat_iran"
#property link      ""
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Gold
#property indicator_width1  2

extern int bar=400;
extern int period=1;
extern int len=1;
extern int shift=0;
extern int prc=PRICE_CLOSE;
extern int mod=MODE_SMA;
//-------------------------------

//--------------------------------


//+------------------------------------------------------------------+
//| Start function                                                   |
//+------------------------------------------------------------------+
double ExtMapBuffer1[];
double ExtMapBuffer2[];

int init()
{ //ObjectsDeleteAll();
   SetIndexBuffer(0, ExtMapBuffer1);
   SetIndexBuffer(1, ExtMapBuffer2);
   return(0);
}
int deinit()
{
   return(0);
}


int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   for(int i=limit;i>=0;i--) 
      if (iMA("EURJPY",0,period,shift,mod,prc,i)!=0)
            ExtMapBuffer1[i] = iMA("EURUSD",0,period,shift,mod,prc,i)/iMA("EURJPY",0,period,shift,mod,prc,i);
      else  ExtMapBuffer1[i] = 0;
   for(    i=limit;i>=0;i--) ExtMapBuffer2[i] = (iMAOnArray(ExtMapBuffer1,0,len,0,0,i));
   return(0);
}
//+------------------------------------------------------------------+